Landing Pages
Create Landing Page
Create a draft landing page
POST
/
api
/
v1
/
landing-pages
Create Landing Page
curl --request POST \
--url https://api.sequenzy.com/api/v1/landing-pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"template": "<string>",
"content": {}
}
'import requests
url = "https://api.sequenzy.com/api/v1/landing-pages"
payload = {
"name": "<string>",
"slug": "<string>",
"template": "<string>",
"content": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', slug: '<string>', template: '<string>', content: {}})
};
fetch('https://api.sequenzy.com/api/v1/landing-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"landingPage": {
"id": "lp_abc123",
"companyId": "comp_abc123",
"name": "Product Waitlist",
"slug": "product-waitlist",
"status": "draft",
"content": { "version": 2, "template": "waitlist", "blocks": [] },
"viewCount": 0,
"conversionCount": 0,
"publishedAt": null,
"createdAt": "2026-05-01T10:00:00Z",
"updatedAt": "2026-05-01T10:00:00Z",
"url": "https://sequenzy.com/dashboard/company/comp_abc123/landing-pages/lp_abc123",
"appPublicUrl": null,
"publicUrl": null
},
"message": "Landing page created as a draft. Use publish_landing_page when it is ready to go live."
}
{
"success": false,
"error": "Invalid landing page content."
}
{
"success": false,
"error": "Unauthorized"
}
{
"success": false,
"error": "Failed to create landing page"
}
Create a draft landing page. Provide
content to control the builder JSON, or
omit it and choose a template to start from default content.
Request
Landing page name. Defaults to a template-specific name.
URL slug. It is normalized and made unique for the company.
Optional template key, such as
from-scratch, waitlist, lead-magnet,
launch, demo-request, webinar, newsletter, product-hunt,
pricing-offer, agency-lead-gen, or feature-announcement.Landing page builder JSON. Form redirect URLs are validated before saving.
curl -X POST "https://api.sequenzy.com/api/v1/landing-pages" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Product Waitlist",
"slug": "product-waitlist",
"template": "waitlist"
}'
Responses
{
"success": true,
"landingPage": {
"id": "lp_abc123",
"companyId": "comp_abc123",
"name": "Product Waitlist",
"slug": "product-waitlist",
"status": "draft",
"content": { "version": 2, "template": "waitlist", "blocks": [] },
"viewCount": 0,
"conversionCount": 0,
"publishedAt": null,
"createdAt": "2026-05-01T10:00:00Z",
"updatedAt": "2026-05-01T10:00:00Z",
"url": "https://sequenzy.com/dashboard/company/comp_abc123/landing-pages/lp_abc123",
"appPublicUrl": null,
"publicUrl": null
},
"message": "Landing page created as a draft. Use publish_landing_page when it is ready to go live."
}
{
"success": false,
"error": "Invalid landing page content."
}
{
"success": false,
"error": "Unauthorized"
}
{
"success": false,
"error": "Failed to create landing page"
}
⌘I
Create Landing Page
